%define module	Cvs
%define name	perl-%{module}
%define version	0.07
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Object oriented interface to the CVS command
License:	LGPL
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RS/RSOLIV/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRoot:	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Class-Accessor
BuildRequires:	perl-IPC-Run
Buildarch:	noarch

%description
This module is a wrapper around the cvs command with an object oriented
interface.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Cvs
%{perl_vendorlib}/Cvs.pm
%{_mandir}/*/*

%changelog
* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-2mdk 
- better url
- spec cleanup
- don't ship useless empty directories
- make test in %%check

* Sun Dec 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.07-1mdk 
- first mdk release
